SEND-NNTP(8)

NAME
send-nntp - Send Usenet articles to remote sites

SYNOPSIS
send-nntp [-d] sitename[:[port@]hostname] [sitename[:[port@]hostname] ...]

DESCRIPTION
send-nntp processes the batch files written by innd to send Usenet articles to remote NNTP sites. The sites to be fed are specified by giving "sitename:hostname" pairs on the command line. The sitename is the label the site has in the newsfeeds file, the hostname is the real hostname of the remote site, a FQDN (Fully Qualified Domain Name). Normally, the sitename and the hostname are the same, and as such don't have to be specified as "sitename:hostname" pairs but just as "sitename".

send-nntp starts innxmit to send the articles to remote sites. By default, NNTP port 119 is used to connect to remote sites. In case another port should be used, it has to be prepended to hostname in a syntax like "sitename:port@hostname".

The batch files generated by send-nntp for a given site is named sitename in the pathoutgoing directory. To prevent batch file corruption, shlock(1) is used ensure these files are not processed by two running instances in parallel.

OPTIONS

-d  The -d flag causes send-nntp to send output to stdout rather than the send-nntp.log log files in pathlog.

NOTES
You should probably not use send-nntp, but innfeed, or if that is not possible, nntpsend. The usual flags for a batch file for send-nntp are "Tf,Wfm" in newsfeeds.

HISTORY
Rewritten into POD by Julien Elie.

SEE ALSO
innxmit(8), newsfeeds(5), nntpsend(8).